export = resolve;
/**
 * @type {Resolve}
 */
declare function resolve(cid: import("cids"), name: string, path: string, toResolve: string[], depth: number, ipld: import("ipfs-core-types/src/ipld").IPLD<any>, options: import("..").ExporterOptions): Promise<ResolveResult>;
declare namespace resolve {
    export { IPLD, ExporterOptions, UnixFSEntry, CID, NextResult, ResolveResult, Resolve, Resolver };
}
type ResolveResult = {
    entry: UnixFSEntry;
    next?: NextResult | undefined;
};
type IPLD = import("ipfs-core-types/src/ipld").IPLD<any>;
type ExporterOptions = {
    offset?: number | undefined;
    length?: number | undefined;
    signal?: AbortSignal | undefined;
    timeout?: number | undefined;
};
type UnixFSEntry = import("..").UnixFSFile | import("..").UnixFSDirectory | import("..").ObjectNode | import("..").RawNode | import("..").IdentityNode;
type CID = import("cids");
type NextResult = {
    cid: CID;
    name: string;
    path: string;
    toResolve: string[];
};
type Resolve = (cid: CID, name: string, path: string, toResolve: string[], depth: number, ipld: IPLD, options: ExporterOptions) => Promise<ResolveResult>;
type Resolver = (cid: CID, name: string, path: string, toResolve: string[], resolve: Resolve, depth: number, ipld: IPLD, options: ExporterOptions) => Promise<ResolveResult>;
//# sourceMappingURL=index.d.ts.map