export = unixFsResolver;
/**
 * @type {import('../').Resolver}
 */
declare const unixFsResolver: import('../').Resolver;
declare namespace unixFsResolver {
    export { ExporterOptions, IPLD, UnixFSEntry, CID, DAGNode, Resolve, UnixfsV1FileContent, UnixfsV1DirectoryContent, UnixfsV1Content, UnixfsV1Resolver };
}
type ExporterOptions = {
    offset?: number | undefined;
    length?: number | undefined;
    signal?: AbortSignal | undefined;
    timeout?: number | undefined;
};
type IPLD = import("ipfs-core-types/src/ipld").IPLD<any>;
type UnixFSEntry = import("../..").UnixFSFile | import("../..").UnixFSDirectory | import("../..").ObjectNode | import("../..").RawNode | import("../..").IdentityNode;
type CID = import("cids");
type DAGNode = import("ipld-dag-pb/src/dag-node/dagNode");
type Resolve = (cid: import("cids"), name: string, path: string, toResolve: string[], depth: number, ipld: import("ipfs-core-types/src/ipld").IPLD<any>, options: import("../..").ExporterOptions) => Promise<import("..").ResolveResult>;
type UnixfsV1FileContent = AsyncIterable<Uint8Array> | Iterable<Uint8Array>;
type UnixfsV1DirectoryContent = AsyncIterable<import("../..").UnixFSEntry> | Iterable<import("../..").UnixFSEntry>;
type UnixfsV1Content = AsyncIterable<Uint8Array> | Iterable<Uint8Array> | AsyncIterable<import("../..").UnixFSEntry> | Iterable<import("../..").UnixFSEntry>;
type UnixfsV1Resolver = (cid: CID, node: DAGNode, unixfs: UnixFS, path: string, resolve: Resolve, depth: number, ipld: IPLD) => (options: ExporterOptions) => UnixfsV1Content;
import UnixFS = require("ipfs-unixfs");
//# sourceMappingURL=index.d.ts.map